Retrieve Professional Claim (CMS-1500) JSON

Retrieve a claim's data and map it to Stedi's CMS-1500 JSON format

GET/professional-claim-submissions/{id}

Retrieve a claim submission and map it to Stedi's JSON format.

This endpoint is especially useful when building CMS-1500 form interfaces that need to handle resubmissions. You can retrieve the original claim data to pre-populate your form, allowing users to make corrections before resubmitting.

  1. Call this endpoint with the submission ID. You can retrieve this ID from:
  2. Stedi retrieves the claim data and maps it to Stedi's JSON format.
  3. The endpoint returns the claim in JSON format, using the same structure as the Create Professional Claim JSON endpoint.
Authorization
RequiredHeader

A production Stedi API Key for authentication.

Path Parameters

id
StringLength: 1 - 40

A unique identifier for a specific submission of a claim within Stedi. Stedi generates a submission ID for the initial submission and then a new submission ID for every resubmission of the same claim. This is different from the claim ID, which doesn't change throughout the claim's lifecycle.

You can retrieve this ID from the submissionId property in the Create Professional Claim JSON endpoint response.

Response

application/json
claimId
StringRequiredRegex pattern: ^(clm_)?[0-7][0-9A-HJKMNP-TV-Z]{25}$

A unique identifier for the claim within Stedi. This ID stays the same throughout the claim's entire lifecycle. For example, the claim ID is the same for the initial submission and any resubmissions. This is how Stedi links a particular claim to responses, such as 277CA claim acknowledgments.

data
ObjectRequired

The submitted claim in the Stedi professional claim JSON format.

Show attributes
processedAt
StringRequiredFormat: date-time

The time Stedi processed the submission.

stediPayerId
StringRegex pattern: ^[A-Z]{5}$

The payer identifier in Stedi's system.

submissionId
StringRequiredMax length: 40

A unique identifier for a specific submission of a claim within Stedi. Stedi generates a submission ID for the initial submission and then a new submission ID for every resubmission of the same claim. This is different from the claim ID, which doesn't change throughout the claim's lifecycle.